Bug 893356 - Exception while starting vdsmd service for the first time. Although vdsmd has been started successfully.
Exception while starting vdsmd service for the first time. Although vdsmd has...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Yaniv Bronhaim
Pavel Stehlik
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 03:08 EST by Leonid Natapov
Modified: 2016-02-10 14:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 07:55:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 12266 None None None Never

  None (edit)
Description Leonid Natapov 2013-01-09 03:08:33 EST
After manually installing vdsm package got the following exception while first start of a new vdsmd.

Founf while testing preint ticket https://engineering.redhat.com/trac/preint/ticket/847

[root@purple-vds3 ~]# service vdsmd start
 Stopping libvirtd daemon:                                  [  OK  ]
 Configuring libvirt for vdsm...
 Starting iscsid: 
 diff: /etc/init/libvirtd.conf: No such file or directory
 Exception in thread libvirtEventLoop (most likely raised during interpreter shutdown):
 Traceback (most recent call last):
     File "/usr/lib64/python2.6/threading.py", line 532, in __bootstrap_inner
     File "/usr/lib64/python2.6/threading.py", line 484, in run
     File "/usr/lib64/python2.6/site-packages/vdsm/libvirtev.py", line 419, in virEventLoopPureRun
     File "/usr/lib64/python2.6/site-packages/vdsm/libvirtev.py", line 239, in run_loop
     File "/usr/lib64/python2.6/site-packages/vdsm/libvirtev.py", line 229, in run_once
  <type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'error'
  Starting up vdsm daemon: 
  vdsm start                                                 [  OK  ]
Comment 6 Leonid Natapov 2013-01-10 04:01:48 EST
yes,it's a regression.
Comment 10 Leonid Natapov 2013-02-14 08:14:32 EST
vdsm up after the exception.
Comment 12 Yaniv Bronhaim 2013-02-21 05:33:23 EST
I added a patch that removes the unnassacery warning:
 diff: /etc/init/libvirtd.conf: No such file or directory
please notify me if the exception is still raised and in what versions.
Comment 13 Barak 2013-03-07 07:55:29 EST
We can't reproduce it, and still waiting on the NEEDINFO

Note You need to log in before you can comment on or make changes to this bug.